Skip to main content
POST
/
organizations
/
{organizationId}
/
deployments
/
{deploymentId}
/
deploys
Create a Deploy
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/deployments/{deploymentId}/deploys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "IMAGE_AND_DAG",
  "bundleMountPath": "<string>",
  "bundleType": "dbt",
  "description": "My deploy description"
}
'
{
  "createdAt": "2022-11-22T04:37:12Z",
  "deploymentId": "clmh57jtm000008lb58fe2wmv",
  "id": "clvetru2w000201mowqwua63n",
  "imageRepository": "https://my-image-repository",
  "imageTag": "my-image-tag",
  "isDagDeployEnabled": true,
  "status": "DEPLOYED",
  "type": "IMAGE_AND_DAG",
  "airflowVersion": "2.7.2, if airflow version is not found, it will return NA",
  "astroRuntimeVersion": "9.1.0",
  "bundleMountPath": "<string>",
  "bundleUploadUrl": "<string>",
  "bundles": [
    {
      "bundleType": "<string>",
      "deployId": "<string>",
      "mountPath": "<string>",
      "currentVersion": "<string>",
      "desiredVersion": "<string>"
    }
  ],
  "createdBySubject": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "dagTarballVersion": "2024-01-12T18:32:20.5898930Z",
  "dagsUploadUrl": "https://astroproddagdeploy.windows.core.net/clmh59gt0000308lbgswe5fvh/clmh57jtm000008lb58fe2wmv",
  "description": "My deploy description",
  "rollbackFromId": "clvcz1lrq000101oitxtp276e",
  "updatedAt": "2022-11-22T04:37:12Z",
  "updatedBySubject": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  }
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization in which to create the Deployment.

deploymentId
string
required

The Deployment's ID.

Body

application/json

The Request body for creating a Deploy.

type
enum<string>
required

The type of deploy.

Available options:
IMAGE_AND_DAG,
IMAGE_ONLY,
DAG_ONLY,
BUNDLE
Example:

"IMAGE_AND_DAG"

bundleMountPath
string

The path where Astro mounts the bundle on the Airflow component pods. Required if deploy type is BUNDLE.

bundleType
string

The type of bundle deployed. Required if deploy type is BUNDLE.

Example:

"dbt"

description
string

The deploy's description.

Maximum string length: 500
Example:

"My deploy description"

git
object

Response

OK

createdAt
string<date-time>
required

The time when the deploy was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

deploymentId
string
required

The Deployment's ID.

Example:

"clmh57jtm000008lb58fe2wmv"

id
string
required

The deploy's ID.

Example:

"clvetru2w000201mowqwua63n"

imageRepository
string
required

The URL of the deploy's image repository.

Example:

"https://my-image-repository"

imageTag
string
required

The deploy's image tag. Appears only if specified in the most recent deploy.

Example:

"my-image-tag"

isDagDeployEnabled
boolean
required

Whether the deploy was triggered on a Deployment with DAG deploys enabled.

Example:

true

status
enum<string>
required

The status of the deploy.

Available options:
INITIALIZED,
DEPLOYED,
FAILED
Example:

"DEPLOYED"

type
enum<string>
required

The type of deploy.

Available options:
IMAGE_AND_DAG,
IMAGE_ONLY,
DAG_ONLY
Example:

"IMAGE_AND_DAG"

airflowVersion
string

The deploy's Airflow version.

Example:

"2.7.2, if airflow version is not found, it will return NA"

astroRuntimeVersion
string

The deploy's Astro Runtime version.

Example:

"9.1.0"

bundleMountPath
string

The path where Astro mounts the bundle on the Airflow component pods.

bundleUploadUrl
string

The URL where the deploy uploads the bundle. Appears only if DAG deploys are enabled on the Deployment and deploy type is BUNDLE.

bundles
object[]

The bundles included in a specific Deployment.

createdBySubject
object
dagTarballVersion
string

The deploy's DAG tarball version, also known as the Bundle Version in the Astro UI.

Example:

"2024-01-12T18:32:20.5898930Z"

dagsUploadUrl
string

The deploy's upload URL to upload DAG bundles. Appears only if dag deploys are enabled on the Deployment.

Example:

"https://astroproddagdeploy.windows.core.net/clmh59gt0000308lbgswe5fvh/clmh57jtm000008lb58fe2wmv"

description
string

The deploy's description.

Example:

"My deploy description"

rollbackFromId
string

The ID of the deploy that you completed a rollback on. Appears only if a rollback has been performed.

Example:

"clvcz1lrq000101oitxtp276e"

updatedAt
string<date-time>

The time when the deploy was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

updatedBySubject
object